import 'package:flutter/material.dart';

/// 自定义气泡（吐司）的UI展示
class CustomToastWidget extends StatelessWidget {

  const CustomToastWidget({
    Key? key,
    required this.msg,
    // required this.alignment,
  }) : super(key: key);

  final String msg;
  // final AlignmentGeometry alignment;

  @override
  Widget build(BuildContext context) {
    return Align(
      alignment: Alignment.bottomCenter,
      child: Container(
        margin: const EdgeInsets.symmetric(vertical: 80),
        padding: const EdgeInsets.symmetric(horizontal: 25, vertical: 12),
        decoration: BoxDecoration(
          color: const Color(0xcc000000),
          borderRadius: BorderRadius.circular(18),
        ),
        child: Text(msg, style: const TextStyle(color: Colors.white,fontSize: 15.5)),
      ),
    );
  }
}