class UserLogin {
  int? memberId;
  String? token;
  String? signature;
  String? identifier;

  UserLogin({this.memberId, this.token, this.signature, this.identifier});

  UserLogin.fromJson(Map<String, dynamic> json) {
    memberId = json['member_id'];
    token = json['token'];
    signature = json['signature'];
    identifier = json['identifier'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['member_id'] = this.memberId;
    data['token'] = this.token;
    data['signature'] = this.signature;
    data['identifier'] = this.identifier;
    return data;
  }
}
