import 'package:get/get.dart';
import 'package:ftrecruiter/api/api_provider.dart';
import 'package:ftrecruiter/api/api_repository.dart';

///异步注入构造方法中的对象 用于Api网络请求相关的注入
///主要是在App初始化的时候就注入到依赖注入的池里面，并单例持久化
class AppBinding extends Bindings {
  @override
  void dependencies() async {
    Get.put(ApiProvider(), permanent: true);
    // Get.lazyPut(ApiRepository(apiProvider: Get.find()), permanent: true);
    Get.lazyPut<ApiRepository>(() => ApiRepository(apiProvider: Get.find()));


  }
}
