import 'package:flutter/material.dart';
import 'package:ftrecruiter/comm/utils/size_config.dart';
import 'package:ftrecruiter/comm/widget/my_load_image.dart';

class SplashPage extends StatelessWidget {
  const SplashPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {

    SizeConfig().init(context);

    return Container(
        color: Colors.white,
        child: const Center(
            child: MyAssetImage(
          "splash_center_blue_logo.webp",
          width: 144,
          height: 122,
          fit: BoxFit.contain,
        )));
  }
}
